From 1e09b211a000c649aae6eea736647daa650141bc Mon Sep 17 00:00:00 2001
From: William Breathitt Gray <vilhelm.gray@gmail.com>
Date: Sat, 31 Aug 2019 21:23:23 +0900
Subject: [PATCH] Introduce the BUILD_NONFREE option

This allow users to disable building nonfree components (brightmaps.pk3
and game_support.pk3) if they so desire.
---
 CMakeLists.txt | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 7860358ef..23d317f42 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -404,10 +404,15 @@ add_subdirectory( libraries/lzma )
 add_subdirectory( tools )
 add_subdirectory( libraries/dumb )
 add_subdirectory( libraries/gdtoa )
+
 add_subdirectory( wadsrc )
-add_subdirectory( wadsrc_bm )
 add_subdirectory( wadsrc_lights )
-add_subdirectory( wadsrc_extra )
+option (BUILD_NONFREE "Build nonfree components" ON)
+if( BUILD_NONFREE )
+	add_subdirectory( wadsrc_bm )
+	add_subdirectory( wadsrc_extra )
+endif()
+
 add_subdirectory( src )
 
 if( NOT CMAKE_CROSSCOMPILING )
-- 
2.23.0

